Exiv2::Internal::ContainerStorage< container > Struct Template Reference

`#include <slice.hpp>`

## Public Types

typedef container::iterator | iterator
typedef container::const_iterator | const_iterator
typedef Internal::remove_cv< typename container::value_type >::type | value_type

## Public Member Functions

| ContainerStorage (container &data, size_t, size_t end)
const value_type & | unsafeAt (size_t index) const
value_type & | unsafeAt (size_t index)
iterator | unsafeGetIteratorAt (size_t index)
const_iterator | unsafeGetIteratorAt (size_t index) const

## Public Attributes

container & | data_

## Detailed Description

### template<typename container>
struct Exiv2::Internal::ContainerStorage< container >

Implementation of the storage concept for STL-containers.

Template Parameters

  container | Type of the STL-container.

## Constructor & Destructor Documentation

## ContainerStorage()

template<typename container >

Exiv2::Internal::ContainerStorage< container >::ContainerStorage | ( | container & | data,
|  | size_t | ,
|  | size_t | end
| ) |  |

inline

Exceptions

  std::out_of_range | when end is larger than the container's size.

## Member Function Documentation

## unsafeAt()

template<typename container >

const value_type& Exiv2::Internal::ContainerStorage< container >::unsafeAt | ( | size_t | index | ) | const

inline

Obtain a constant reference to the element with the given `index` in the container.

Exceptions

  whatever | container::at() throws

## unsafeGetIteratorAt()

template<typename container >

iterator Exiv2::Internal::ContainerStorage< container >::unsafeGetIteratorAt | ( | size_t | index | ) |

inline

Obtain an iterator at the position of the element with the given index in the container.

Exceptions

  whatever | container::begin() and std::advance() throw

The documentation for this struct was generated from the following file:

- slice.hpp